summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2008-03-06 09:25:38 +0100
committerMichael Adam <obnox@samba.org>2008-03-06 09:25:49 +0100
commitaa4213bde782879dbe87460d86e09f1ff09df767 (patch)
tree2108c85fea3c307067a768f277da2e7c9bce0faa /source3/script/tests
parent04afd3d5ac6f9059d0ce6f15b6375891194e6a16 (diff)
downloadsamba-aa4213bde782879dbe87460d86e09f1ff09df767.tar.gz
samba-aa4213bde782879dbe87460d86e09f1ff09df767.tar.bz2
samba-aa4213bde782879dbe87460d86e09f1ff09df767.zip
Test: Properly track current test binary for tracking crashes.
Make sure the panic action always has the right test binary set. Michael (This used to be commit 567ac329dcec6fc839d6b25cbf1872f1f51ff7e5)
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/selftest.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index c6232cf301..2f2cb7b086 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -220,11 +220,16 @@ nogroup:x:65534:nobody
$USERNAME-group:x:$GROUPID:
EOF
+MAKE_TEST_BINARY="bin/smbpasswd"
+export MAKE_TEST_BINARY
+
(echo $PASSWORD; echo $PASSWORD) | \
- smbpasswd -c $CONFFILE -L -s -a $USERNAME >/dev/null || exit 1
+ bin/smbpasswd -c $CONFFILE -L -s -a $USERNAME >/dev/null || exit 1
echo "DONE";
+MAKE_TEST_BINARY=""
+
SERVER_TEST_FIFO="$PREFIX/server_test.fifo"
export SERVER_TEST_FIFO
NMBD_TEST_LOG="$PREFIX/nmbd_test.log"
@@ -234,9 +239,6 @@ export WINBINDD_TEST_LOG
SMBD_TEST_LOG="$PREFIX/smbd_test.log"
export SMBD_TEST_LOG
-MAKE_TEST_BINARY=""
-export MAKE_TEST_BINARY
-
# start off with 0 failures
failed=0
export failed
@@ -272,6 +274,7 @@ START=`date`
echo "delaying for nbt name registration"
sleep 10
# This will return quickly when things are up, but be slow if we need to wait for (eg) SSL init
+ MAKE_TEST_BINARY="bin/nmblookup"
bin/nmblookup $CONFIGURATION -U $SERVER_IP __SAMBA__
bin/nmblookup $CONFIGURATION __SAMBA__
bin/nmblookup $CONFIGURATION -U 127.255.255.255 __SAMBA__
@@ -279,8 +282,10 @@ START=`date`
bin/nmblookup $CONFIGURATION $SERVER
# make sure smbd is also up set
echo "wait for smbd"
+ MAKE_TEST_BINARY="bin/smbclient"
bin/smbclient $CONFIGURATION -L $SERVER_IP -U% -p 139 | head -2
bin/smbclient $CONFIGURATION -L $SERVER_IP -U% -p 139 | head -2
+ MAKE_TEST_BINARY=""
failed=0